Bug 56444 - A small "dot" shows up as value in Android labels when the value is null/empty.
Summary: A small "dot" shows up as value in Android labels when the value is null/empty.
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Android (show other bugs)
Version: 2.3.5
Hardware: PC Windows
: Normal normal
Target Milestone: ---
Assignee: Samantha Houts [MSFT]
URL:
Depends on:
Blocks:
 
Reported: 2017-05-15 09:14 UTC by TR
Modified: 2017-07-12 08:09 UTC (History)
9 users (show)

Tags: android, label, fr
Is this bug a regression?: Yes
Last known good build: 2.3.4.231

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description TR 2017-05-15 09:14:06 UTC
When using Xamarin.Forms 2.3.5.239 pre3 and has a label with a binding and the value is null/empty, a small "dot" will be displayed as value in Android (not in iOS or UWP). In version 2.3.4.231 there is no "dot" when the value is null/empty.
Comment 1 Paul DiPietro [MSFT] 2017-05-15 14:05:37 UTC
https://github.com/xamarin/Xamarin.Forms/pull/915
Comment 2 Pynne 2017-06-22 07:58:10 UTC
Hi , can someone teach me how to fix this on my side ? i am facing this issue as well and my app is going to release in few days time. Thanks for helping !
Comment 3 Samantha Houts [MSFT] 2017-06-22 19:01:28 UTC
Should be fixed on 2.3.5 stable, which is set to release any day now.

You can hack a nasty workaround by setting your empty Labels to " " (a whitespace character).

Thank you!
Comment 6 Saurabh Paunikar 2017-06-30 10:40:13 UTC
I have used following code to set button text as null. Also used xamarin.form version 2.3.5.239 pre5.Bug is not getting reproduce. Kindly suggest if I am missing anything.

ScreenCast link:https://www.screencast.com/t/Av35NdpiatRa


using Android.App;
using Android.Widget;
using Android.OS;

namespace App66
{
    [Activity(Label = "App66", MainLauncher = true, Icon = "@mipmap/icon")]
    public class MainActivity : Activity
    {
       
        protected override void OnCreate(Bundle savedInstanceState)
        {
            base.OnCreate(savedInstanceState);

            // Set our view from the "main" layout resource
            SetContentView(Resource.Layout.Main);

            // Get our button from the layout resource,
            // and attach an event to it
            Button button = FindViewById<Button>(Resource.Id.myButton);
            button.Text = null;
        }
    }
}
Comment 7 David Ortinau [MSFT] 2017-06-30 13:33:29 UTC
@Saurabh,

That's Android code and isn't testing Xamarin.Forms. Look at the test reproduction from the Pull Request to see how we are testing it.

https://github.com/xamarin/Xamarin.Forms/blob/298c1e532173d63359767c1555c87dc66d2c9836/Xamarin.Forms.Controls.Issues/Xamarin.Forms.Controls.Issues.Shared/AndroidHelpText.cs
Comment 8 Neeraj Deshmukh 2017-07-03 07:44:28 UTC
Verified above bug on 2.3.5.256-pre6 , working as expected hence marking this bug as verified.

Build info : - https://gist.github.com/nehaKh/974f772dcb0ebe27698fb6df12041200

Thanks David Ortinau.